@echo OFF
SETLOCAL EnableDelayedExpansion
REM Author: Directoratul National de Securitate Cibernetica (DNSC)
REM Version: 1.0.1 @ 15.03.2024
REM Scope: Scan local drives (C:\) using YARA rules from the Rules folder
REM Disclaimer: This script is provided "as-is" without any warranty. The author and contributors are not responsible for any damages or losses resulting from the use or misuse of this script. Users should use caution and discretion when executing or modifying the script.

:: Check if the script is run with administrator privileges
NET SESSION >NUL 2>&1
IF %ERRORLEVEL% EQU 0 (
    echo Script is running with administrator privileges.
    goto :START
) ELSE (
    echo Script requires administrator privileges. Please run as administrator.
    echo Right-click on the script and select "Run as administrator".
    pause
    exit /B
)

:START
pushd "%~dp0"

set "pcName=%COMPUTERNAME%"
set "logFilename=Logs\ScanLog_Drive-C_!pcName!.txt"


reg Query "HKLM\Hardware\Description\System\CentralProcessor\0" | find /i "x86" > NUL && set OS=32BIT || set OS=64BIT

if %OS%==32BIT goto :32BIT 
if %OS%==64BIT goto :64BIT

:32BIT
echo "This is a 32bit operating system"
echo %date% %time% ^| This is a 32bit operating system > %~dp0!logFilename!
echo "Starting scan of drive C:\ for backmydata using YARA 64bit version."
echo "Please check %~dp0!logFilename! after scan is finished."
echo %date% %time% ^| Starting scan of drive C:\ for backmydata using YARA 32bit version >> %~dp0!logFilename!
for /f "delims=" %%i in ('.\Bin\yara32.exe -r -w .\Rules\index.yar C:\') do (
    echo %date% %time% ^| %%i >> %~dp0!logFilename!
)
echo Scan finished.
echo %date% %time% Scan finished >> %~dp0!logFilename!
goto: :END

:64BIT
echo "This is a 64bit operating system"
echo %date% %time% ^| This is a 64bit operating system > %~dp0!logFilename!
echo "Starting scan of drive C:\ for backmydata using YARA 64bit version."
echo "Please check %~dp0!logFilename! after scan is finished."
echo %date% %time% ^| Starting scan of drive C:\ for backmydata using YARA 64bit version >> %~dp0!logFilename!
for /f "delims=" %%i in ('.\Bin\yara64.exe -r -w .\Rules\index.yar C:\') do (
    echo %date% %time% ^| %%i >> %~dp0!logFilename!
)
echo Scan finished.
echo %date% %time% ^| Scan finished >> %~dp0!logFilename!
goto: :END

:END
pause